Package org.apache.cxf.ws.addressing

# Interface MessageIdCache

public interface MessageIdCache
Interface abstracting various ID caches for enforcement of ID uniqueness.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkUniquenessAndCacheId(String messageId)`
  Check `messageId` for uniqueness against previously encountered values and cache the ID.

- ## Method Details

  - ### checkUniquenessAndCacheId

    boolean checkUniquenessAndCacheId(String messageId)
    Check `messageId` for uniqueness against previously encountered values and cache the ID. Note that the retention policy for previously encountered values is implementation specific.
    Parameters:
      `messageId` - the message ID to check for uniqueness and cache for future comparison
    Returns:
      true if and only if `messageId` is not already in the cache